package info.bukova.isspst.storage;

import java.io.File;

/**
 * Rozhraní pro uložiště souborů
 *
 * @param <T> typ objektu, kterým se odkazuje na soubory
 */
public interface FileStorage<T> {
	
	public String getRootPath();
	public void saveFile(byte[] data, T fileID);
	public void saveFile(File file, T fileId);
	public void removeFile(T fileID);
	public void moveFile(String source, String destination);
	public void createDirectory(String dir);
	public byte[] fileData(T fileID);
	public File file(T fileID);
	public boolean dirExists(String path);
	public String serverPath(T fileID);
	
}
